# Projet Swish
**Etudes des formes**
> Avec C.TOFFIN, Y.SEVRET, A.GOLFIER, T.SOUCHON et Monsieur LAFOURCADE EN 2A de DUT Info.

---
## SOMMAIRE
   - [Explications](#Explications)
   - [Etude du cercle](#Etude-du-cercle)
   - [Etude du carré](#Etude-du-carré)
   - [Etude du triangle](#Etude-du-triangle)
   - [Etude du pentagone](#Etude-du-pentagone)
   - [Etude du losange](#Etude-du-losange)


---
## Explications

Chaque forme est contenu dans une div carré. Pour simplifier mes calculs, je prends un carré de 100x100 qui permet de calculer facilement par la suite, si nous augmentons ou diminuons la taille de la div.

La division étant définie par :
```css
#containform
{
   box-sizing: content-box;
   height: 100;
   width: 100;
   display: table-cell;
   vertical-align: middle;
}
```

---
## Etude du cercle

Cette structure contient deux formes :
   - Un anneau (composé de 2 ronds) qui représente la partie extérieur
   - Un rond qui représente la partie intérieur manquante

![Alt text](https://cdn.discordapp.com/attachments/628867958994894856/777510630042763274/unknown.png "Image rond")

Code forme anneau :
```css
#anneau
{
   background-color: #DE3030;
   border-radius: 3vw;
   display: table-cell;
	 vertical-align: middle;
}

#rondinterieur
{
   background-color: var(--lightsedonca);
   display: table;
	 margin: 0 auto;
	 border-radius: 3vw;
}
```

Pour résumer, le rond intérieur va se centrer au milieu de l'anneau. Et prendra la couleur définie par la variable "--lightseconda" qui correspond à la couleur de la carte (qui change avec le mode jour/nuit).

---
## Etude du carré

Cette structure contient deux formes :
   - Un carré (composé de 2 carré) qui représente la partie extérieur
   - Un carré qui représente la partie intérieur manquante

![Alt text](https://cdn.discordapp.com/attachments/628867958994894856/777513763984113684/unknown.png "Image carré")

Code forme anneau :
```css
#carre
{
   background-color: #DE3030;
   display: table-cell;
	 vertical-align: middle;
}

#carreinterieur
{
   background-color: var(--lightsedonca);
   display: table;
	 margin: 0 auto;
}
```

Pour résumer, le carré intérieur va se centrer au milieu du carré. Et prendra la couleur définie par la variable "--lightseconda" qui correspond à la couleur de la carte (qui change avec le mode jour/nuit).

---
## Etude du triangle

Cette structure contient deux formes :
   - Un triangle (composé de 2 triangles) qui représente la partie extérieur
   - Un triangle qui représente la partie intérieur manquante

![Alt text](https://cdn.discordapp.com/attachments/628867958994894856/777514660277518346/unknown.png "Image triangle")


|   Nom   |   Triangle Extérieur  |   Triangle intérieur |
|:-:    |:-:    |:-:    |
|   Calculs côtés   |AB = 100 Notons F = (1/2)AB Soit AF = 50 et FC = 100 <br>D'après de théorème de Pythagore :<br> AC² = AF² + FC²<br> AC² = 50²+100²<br> AC² = 12500<br>AC = sqrt(12500) = 111.80<br> ```AC = AB = 111.80```   |   Si XY = 50 Notons G = (1/2)XY soit XG = 25 et GZ = 50 <br> D'après de théorème de Pythagore :<br> XZ² = XG²+GZ²<br>XZ² = 25²+50²<br>XZ² = 3125<br>XZ = sqrt(3125) = 55.90<br> ```XZ = YZ = 55.90```|
|   Calculs angles  |   Cos Â = AF / AC = 50 / 111.80 <br>Cos Â = 0.44722719141<br>```Cos^(-1)A = 63.434°```<br>En suivant la même méthode : <br> ```Cos^(-1) B = 63.434°```<br> ```Cos^(-1) C = 53.132°```  |   ```Cos^(-1) X = 63.434°```<br>```Cos^(-1) Y = 63.434°```<br>```Cos^(-1) Z = 53.132° ```|


Placement petit triangle :  
Si AC = 111.80 et AB = 100
Le petit triangle devra être à 50 de la gauche et 55.9 du bottom.

---
## Etude du pentagone

Cette structure contient deux formes :
   - Un losange (composé de deux triangle) qui représente la partie extérieur
   - Un losange plus petit (composé de deux triangle également) qui représente la partie intérieur manquante

![Alt text](https://cdn.discordapp.com/attachments/628867958994894856/777519037776396288/unknown.png "Image pentagone")


|   Calcul angle du trapèze  |   Calcul angle du triangle |
|:-:    |:-:    |
|   Pour le triangle EFA : <br>EF = 25 et AF = 50<br>D'après de théorème de Pythagore :<br>EA² = EF²+FA²<br>EA² = 25²+50²<br>EA² = 3125<br>EA = sqrt(3125) = 55.90<br>```L'angle E  est de 63.434° et l'angle C est de 63.434°```<br>L'angle A = angle B et la somme des angles d'un trapèze est de 360°. <br>Ainsi : 360 - 63.434 - 63.434 = 233.132<br>Angle A = 223.132/2 = 116.566°<br>```Angle B = Angle A = 116.566°```   |   EG = 50 et GD = 50<br>D'après de théorème de Pythagore :<br>ED² = EG² + DG²<br>ED² = 50² + 50²<br>ED² = 5000<br>ED = sqrt(5000) = 70.71<br><br>```Angle E = 45°```<br>```Angle C = 45°```<br>```Angle D = 90° ```|

---
## Etude du losange

Cette structure contient deux formes :
   - Un triangle (composé de 2 triangles ) qui représente la partie extérieur
   - Un triangle (composé de 2 triangles) qui représente la partie intérieur manquante

![Alt text](https://cdn.discordapp.com/attachments/628867958994894856/777520939083628564/unknown.png "Image losange")

Pour le calcul des côtés, revoir le pentagone (même triangle).
